/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.ewt_model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Metrics {
	@JsonProperty("ResourceReadyCount")
	private String resourceReadyCount;
	@JsonProperty("ResourceBusyCount")
	private String resourceBusyCount;
	@JsonProperty("ProcessingWorkCount")
	private String processingWorkCount;
	@JsonProperty("CompletedWorkCount")
	private String completedWorkCount;
	@JsonProperty("EWT")
	private String eWT;
	@JsonProperty("WaitingWorkCount")
	private String waitingWorkCount;
	@JsonProperty("RollingASA")
	private String rollingASA;
	@JsonProperty("OldestWorkWaiting")
	private String oldestWorkWaiting;
	@JsonProperty("ResourceStaffedCount")
	private String resourceStaffedCount;
	@JsonProperty("ServiceOccupancy")
	private String serviceOccupancy;

	public String getResourceReadyCount() {
		return resourceReadyCount;
	}
	public void setResourceReadyCount(String resourceReadyCount) {
		this.resourceReadyCount = resourceReadyCount;
	}
	public String getResourceBusyCount() {
		return resourceBusyCount;
	}
	public void setResourceBusyCount(String resourceBusyCount) {
		this.resourceBusyCount = resourceBusyCount;
	}
	public String getProcessingWorkCount() {
		return processingWorkCount;
	}
	public void setProcessingWorkCount(String processingWorkCount) {
		this.processingWorkCount = processingWorkCount;
	}
	public String getCompletedWorkCount() {
		return completedWorkCount;
	}
	public void setCompletedWorkCount(String completedWorkCount) {
		this.completedWorkCount = completedWorkCount;
	}
	public String geteWT() {
		return eWT;
	}
	public void seteWT(String eWT) {
		this.eWT = eWT;
	}
	public String getWaitingWorkCount() {
		return waitingWorkCount;
	}
	public void setWaitingWorkCount(String waitingWorkCount) {
		this.waitingWorkCount = waitingWorkCount;
	}
	public String getRollingASA() {
		return rollingASA;
	}
	public void setRollingASA(String rollingASA) {
		this.rollingASA = rollingASA;
	}
	public String getOldestWorkWaiting() {
		return oldestWorkWaiting;
	}
	public void setOldestWorkWaiting(String oldestWorkWaiting) {
		this.oldestWorkWaiting = oldestWorkWaiting;
	}
	public String getResourceStaffedCount() {
		return resourceStaffedCount;
	}
	public void setResourceStaffedCount(String resourceStaffedCount) {
		this.resourceStaffedCount = resourceStaffedCount;
	}
	public String getServiceOccupancy() {
		return serviceOccupancy;
	}
	public void setServiceOccupancy(String serviceOccupancy) {
		this.serviceOccupancy = serviceOccupancy;
	}
	@Override
	public String toString() {
		return "Metrics [resourceReadyCount=" + resourceReadyCount + ", resourceBusyCount=" + resourceBusyCount + ", processingWorkCount="
				+ processingWorkCount + ", completedWorkCount=" + completedWorkCount + ", eWT=" + eWT + ", waitingWorkCount="
				+ waitingWorkCount + ", rollingASA=" + rollingASA + ", oldestWorkWaiting=" + oldestWorkWaiting + ", resourceStaffedCount="
				+ resourceStaffedCount + ", serviceOccupancy=" + serviceOccupancy + "]";
	}

	
	
}
